@charset "utf-8";

article.post-1809{
  background: linear-gradient(-90deg, #E0C2F9, #5AD8F2);
  background-size: 600% 600%;
  animation: AnimationName 10s ease infinite;
}

@keyframes AnimationName {
    0%{background-position:0% 50%}
    50%{background-position:100% 50%}
    100%{background-position:0% 50%}
}

#wrapper {
  color: #333;
  text-align: center;
}

#btn {
  background: #F27398;
  border-radius: 6px;
  border: none;
  color: #fff;
  cursor: pointer;
  display: inline-block;
  padding: 30px 100px;
  text-decoration: none;
}
#btn p {
  font-size: 2em;
}

#output {
  background: #fff;
  border-radius: 10px;
  color: #333;
  height: 70vh;
  /* line-height: 50vh; */
  overflow: scroll;
  position: absolute;
  top: 50%;
  left: 50%;
  text-align: center;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  width: 40%;
  z-index: 1000;
}

#overlay {
  background: rgba(0, 0, 0, .7);
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1;
}

#output,
#overlay {
  opacity: 0;
  transition: all 0.5s;
  visibility: hidden;
}

#output.fadein,
#overlay.fadein {
  opacity: 1;
  visibility: visible;
}

.omikuji {
  max-width: 100%;
  margin: 0 auto;
}

.orei {
  font-size: 0.8em;
}

p {
  font-size: 1.6em;
  text-align:center;
}
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 2;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, .7);
  opacity: 0;
  visibility: hidden;
  transition: .3s linear;
}
.overlay.is-open {
  opacity: 1;
  visibility: visible;
}